var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { styled } from 'styled-components';
import { Icon } from './icon.js';
import { NoStyleButton } from './no-style-button.js';
const Container = styled(NoStyleButton).withConfig({ displayName: "brc-sc-Container", componentId: "brc-sc-lkkc3f" }) `
  display: flex;
  flex-direction: row;
  gap: 4px;
  align-items: center;
  color: ${({ theme }) => theme.onSurfaceVariant};
`;
const InfoIcon = styled(Icon).withConfig({ displayName: "brc-sc-InfoIcon", componentId: "brc-sc-1moysiq" }) `
  width: 16px;
  height: 16px;
`;
export const AdvertiserDisclosureContent = () => (_jsxs(_Fragment, { children: [_jsx("p", { className: "body2 text-onSurface", children: "The credit card, financing and service products that appear on this site are from credit card, financing and service companies from which this site receives compensation. This compensation may impact how and where products appear on this site (including, for example, the order in which they appear). This site does not include all credit card, financing and service products or all available credit card, financing and service products. All images and trademarks are the property of their respective owners. Editorial and review content is the property of Nav, and has not been approved, provided, or reviewed by the company providing the credit card, financing, or service." }), _jsx("br", {}), _jsx("p", { className: "body2 text-onSurface", children: "For complete information, see the terms and conditions on the credit card, financing and service issuer\u2019s website. In most cases, once you click \u201Capply now\u201D, you will be redirected to the issuer\u2019s website where you may review the terms and conditions of the product before proceeding. While Nav always strives to present the most accurate information, we show a summary to help you choose a product, not the full legal terms - and before applying you should understand the full terms of products as stated by the issuer itself." }), _jsx("br", {}), _jsx("p", { className: "body2 text-onSurface", children: "Personal FICO credit scores and other credit scores are used to represent the creditworthiness of a person and may be one indicator to the credit or financing type you are eligible for. Nav uses the Vantage 3.0 credit score to determine which credit offers are recommended which may differ from the credit score used by lenders and service providers. However, credit score alone does not guarantee or imply approval for any credit card, financing, or service offer." }), _jsx("br", {}), _jsx("p", { className: "body2 text-onSurface", children: "Editorial disclosure: Any personal views and opinions expressed by the author in this article are the author's own and do not necessarily reflect the viewpoint of Nav. The editorial content on this page is not provided by any of the companies mentioned and has not been reviewed, approved or otherwise endorsed by any of these entities. Opinions expressed here are author's alone, not those of the companies mentioned, and have not been reviewed, approved or otherwise endorsed by any of these entities. Reviews are not provided or commissioned by the credit card, financing and service companies that appear on this site. Reviews have not been reviewed, approved or otherwise endorsed by the credit card, financing and service companies and it is not their responsibility to ensure all posts and/or questions are answered." })] }));
export const AdvertiserDisclosureLink = (_a) => {
    var { children = 'Advertiser & Editorial Disclosure' } = _a, props = __rest(_a, ["children"]);
    return (_jsxs(Container, Object.assign({}, props, { children: [_jsx("p", { className: "caption2 text-inherit", children: children }), _jsx(InfoIcon, { name: "actions/circle-info" })] })));
};
//# sourceMappingURL=advertiser-disclosure.js.map