import { jsx as _jsx } from "react/jsx-runtime";
import { describe, expect, it } from 'vitest';
import { AdvertiserDisclosureContent, AdvertiserDisclosureLink } from './advertiser-disclosure.js';
import { renderWithContext } from './tests/with-app-context.js';
describe('AdvertiserDisclosureContent', () => {
    it('renders', () => {
        const { container } = renderWithContext(_jsx(AdvertiserDisclosureContent, {}));
        expect(container).toMatchSnapshot();
    });
});
describe('AdvertiserDisclosureLink', () => {
    it('renders', () => {
        const { container } = renderWithContext(_jsx(AdvertiserDisclosureLink, {}));
        expect(container).toMatchSnapshot();
    });
});
//# sourceMappingURL=advertiser-disclosure.spec.js.map