var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { inputPattern, createProxyWithOverrides } from '@navinc/utils';
import { forwardRef } from 'react';
import { BaseStringInput } from '../base-string-input/base-string-input.js';
export const BasePatternInput = forwardRef((_a, ref) => {
    var { value, pattern, onChange } = _a, props = __rest(_a, ["value", "pattern", "onChange"]);
    return (_jsx(BaseStringInput, Object.assign({ ref: ref, value: value !== undefined ? inputPattern(value, pattern) : undefined, onChange: (e) => {
            e.target = createProxyWithOverrides(e.target, { value: inputPattern(e.target, pattern) });
            onChange === null || onChange === void 0 ? void 0 : onChange(e);
        } }, props)));
});
//# sourceMappingURL=base-pattern-input.js.map