import { MouseEventHandler } from 'react';
import { IconName } from './icons/index.js';
type StyledVariation = 'neutral' | 'positive' | 'improve' | 'negative' | 'information';
type CalloutLinkProps = {
    iconName?: IconName;
    copy?: string;
    linkCopy?: string;
    linkHref?: string;
    linkAction?: MouseEventHandler<HTMLElement>;
    variation?: StyledVariation;
};
/**
 * Alternatively, use a linkHref rather than a linkAction to navigate elsewhere.
 */
export declare const CalloutLink: ({ iconName, copy, linkCopy, linkHref, linkAction, variation, }: CalloutLinkProps) => import("react/jsx-runtime").JSX.Element;
export {};
