// copied from https://github.com/gregberge/react-merge-refs
export const combineRefs = (...refs) => (value) => {
    refs.forEach((ref) => {
        if (typeof ref === 'function') {
            ref(value);
        }
        else if (ref != null) {
            ;
            ref.current = value;
        }
    });
};
//# sourceMappingURL=combine-refs.js.map