import { DateSegmentComponent } from './date-segment-component.js';
import { InferComponentProps } from '../types.js';
declare const createDateValidator: ({ isRequired, requiredErrorMessage, invalidErrorMessage }?: {
    isRequired?: boolean | undefined;
    requiredErrorMessage?: string | undefined;
    invalidErrorMessage?: string | undefined;
}) => (date: string) => [string] | void;
type DateSegmentInputProps = Omit<InferComponentProps<typeof DateSegmentComponent>, 'value'> & Parameters<typeof createDateValidator>[0] & {
    name: string;
    invalidOnTouched?: boolean;
};
/**
 * @deprecated This component is deprecated and will be removed in a future release. Avoid using it in new code.
 */
export declare const DateSegmentInput: ({ name, onBlur, onChange, invalidOnTouched, isRequired, requiredErrorMessage, invalidErrorMessage, isPrivate, ...props }: DateSegmentInputProps) => import("react/jsx-runtime").JSX.Element;
export {};
