import { FocusEventHandler, ChangeEventHandler } from 'react';
import { Input } from '../input.js';
import { InferComponentProps } from '../types.js';
declare const createEmailValidator: ({ isRequired, requiredErrorMessage, invalidErrorMessage, }?: {
    isRequired?: boolean | undefined;
    requiredErrorMessage?: string | undefined;
    invalidErrorMessage?: string | undefined;
}) => (address: string) => [string] | void;
type EmailInputProps = InferComponentProps<typeof Input> & Parameters<typeof createEmailValidator>[0] & {
    name: string;
    onBlur?: FocusEventHandler<HTMLInputElement>;
    onChange?: ChangeEventHandler<HTMLInputElement>;
    invalidOnTouched?: boolean;
};
/**
 * @deprecated This component is deprecated and will be removed in a future release. Avoid using it in new code.
 */
export declare const EmailInput: ({ name, onBlur, onChange, invalidOnTouched, isRequired, requiredErrorMessage, invalidErrorMessage, ...props }: EmailInputProps) => import("react/jsx-runtime").JSX.Element;
export {};
