import { IconName } from './icons/index.js';
import { JSX } from 'react';
type IconProps = {
    name: IconName;
    size?: string;
} & JSX.IntrinsicElements['svg'];
/**
 * @deprecated use the wayfinder icon from @navinc/base-react-components/wayfinder instead
Displays an icon from our icon library

Props:

- name: (string) the name of the icon
- color: (string hex value from theme) (OPTIONAL) defaults to the color of its parent.
 **/
export declare const Icon: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<{
    name: IconName;
    size?: string;
} & import("react").SVGProps<SVGSVGElement>, never>> & string & Omit<({ name, size, ...props }: IconProps) => import("react/jsx-runtime").JSX.Element | null, keyof import("react").Component<any, {}, any>>;
export {};
