import { ReactNode } from 'react';
import { InferComponentProps } from './types.js';
declare const GoldenCenter: import("react").ComponentType<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>>;
type LoadingViewProps = {
    className?: string;
    message?: ReactNode;
    illustration?: string;
} & InferComponentProps<typeof GoldenCenter>;
/**
# LoadingView

This can be used to add a generic loading view with some basic layout styles.

```
<LoadingView message="Hello world"/>
```

 */
export declare const LoadingView: {
    ({ className, message, illustration, ...props }: LoadingViewProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export {};
