import { type PaginationProps as MuiPaginationProps } from '@mui/material/Pagination/index.js';
type InternalPaginationProps = {
    'data-testid'?: string;
};
type PaginationProps = Pick<MuiPaginationProps, 'className' | 'count' | 'disabled' | 'onChange' | 'page'> & InternalPaginationProps;
/**
 * The `<Pagination />` component is a wrapper for [Material UI's Pagination component](https://mui.com/material-ui/react-pagination/).
 */
export declare const Pagination: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<Pick<MuiPaginationProps, "className" | "onChange" | "page" | "disabled" | "count"> & InternalPaginationProps, never>> & string & Omit<({ "data-testid": dataTestId, className, count, disabled, onChange, page, }: PaginationProps) => import("react/jsx-runtime").JSX.Element, keyof import("react").Component<any, {}, any>>;
export {};
