import { Input } from './input.js';
import { InferComponentProps } from './types.js';
type PasswordInputProps = {
    requiredPasswordScore: number;
} & Omit<InferComponentProps<typeof Input>, 'onToggle'>;
/**
This input works just like the other input, but it adds a show/hide button.

```
<PasswordInput
  name="my-input"
  required
  isInvalid={this.state['my-input'].isInvalid}
  onChange={this.handleChange}
  value={this.state['my-input'].value}
/>
```
 *
 * @deprecated This component is deprecated and will be removed in a future release. Avoid using it in new code.
 */
export declare const PasswordInput: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<{
    requiredPasswordScore: number;
} & Omit<InferComponentProps<import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<{
    label?: string;
    hasSpaceForErrors?: boolean;
    helperIcon?: import("./index.js").IconName;
    helperLinkAction?: import("react").MouseEventHandler<HTMLDivElement>;
    helperText?: string;
    isStatic?: boolean;
    errors?: string[];
    lede?: import("react").ReactNode;
    touched?: boolean;
    childrenBeforeErrors?: import("react").ReactNode;
    innerRef?: import("react").MutableRefObject<HTMLInputElement | null>;
    tooltipText?: string;
    isPrivate?: boolean;
} & InferComponentProps<import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<(import("react").ClassAttributes<HTMLInputElement> & import("react").InputHTMLAttributes<HTMLInputElement>) | (Omit<import("react").ClassAttributes<HTMLInputElement> & import("react").InputHTMLAttributes<HTMLInputElement>, "ref"> & import("react").RefAttributes<import("react").Component<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, any, any>>), {
    isInvalid?: boolean;
}>> & (string & (Omit<import("react").ComponentClass<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, any>, keyof import("react").Component<any, {}, any>> | Omit<import("react").FunctionComponent<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>>, keyof import("react").Component<any, {}, any>>))>, never>> & string & Omit<({ autoFocus, children, className, label, hasSpaceForErrors, helperIcon, helperLinkAction, helperText, isInvalid, isStatic, value, required, type, errors, lede, touched, placeholder, childrenBeforeErrors, innerRef, tooltipText, isPrivate, ...props }: {
    label?: string;
    hasSpaceForErrors?: boolean;
    helperIcon?: import("./index.js").IconName;
    helperLinkAction?: import("react").MouseEventHandler<HTMLDivElement>;
    helperText?: string;
    isStatic?: boolean;
    errors?: string[];
    lede?: import("react").ReactNode;
    touched?: boolean;
    childrenBeforeErrors?: import("react").ReactNode;
    innerRef?: import("react").MutableRefObject<HTMLInputElement | null>;
    tooltipText?: string;
    isPrivate?: boolean;
} & InferComponentProps<import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<(import("react").ClassAttributes<HTMLInputElement> & import("react").InputHTMLAttributes<HTMLInputElement>) | (Omit<import("react").ClassAttributes<HTMLInputElement> & import("react").InputHTMLAttributes<HTMLInputElement>, "ref"> & import("react").RefAttributes<import("react").Component<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, any, any>>), {
    isInvalid?: boolean;
}>> & (string & (Omit<import("react").ComponentClass<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, any>, keyof import("react").Component<any, {}, any>> | Omit<import("react").FunctionComponent<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>>, keyof import("react").Component<any, {}, any>>))>) => import("react/jsx-runtime").JSX.Element, keyof import("react").Component<any, {}, any>>>, "onToggle">, never>> & string & Omit<({ className, ...props }: PasswordInputProps) => import("react/jsx-runtime").JSX.Element, keyof import("react").Component<any, {}, any>>;
export {};
