import { jsx as _jsx } from "react/jsx-runtime";
import { describe, expect, it } from 'vitest';
import { screen } from '@testing-library/react';
import { ProgressBar } from './progress-bar.js';
import { renderWithContext } from './tests/with-app-context.js';
describe('<ProgressBar />', () => {
    const backgroundColor = 'rgb(135, 237, 222)';
    it('renders', () => {
        renderWithContext(_jsx(ProgressBar, { bgColor: backgroundColor, percent: 60 }));
        expect(screen.getByTestId('progress-bar:step-fill'));
    });
});
//# sourceMappingURL=progress-bar.spec.js.map