import { jsx as _jsx } from "react/jsx-runtime";
import { describe, expect, it } from 'vitest';
import { screen } from '@testing-library/react';
import { ProgressSteps } from './progress-steps.js';
import { renderWithContext } from './tests/with-app-context.js';
describe('<ProgressSteps />', () => {
    const backgroundColor = 'navStatusPositive';
    it('renders', () => {
        renderWithContext(_jsx(ProgressSteps, { bgColor: backgroundColor, steps: 6, stepsComplete: 3 }));
        expect(screen.getByTestId('progress-steps:step-5'));
    });
});
//# sourceMappingURL=progress-steps.spec.js.map