import { jsx as _jsx } from "react/jsx-runtime";
import { describe, expect, it } from 'vitest';
import { renderWithContext } from './tests/with-app-context.js';
import { screen } from '@testing-library/react';
import { CARESActSBAForgivenessFAQ } from './sba-forgiveness-faq.js';
describe('<CARESActSBAForgivenessFAQ />', () => {
    it('renders', () => {
        renderWithContext(_jsx(CARESActSBAForgivenessFAQ, {}));
        expect(screen.getByText(/PPP Loan Forgiveness for the Self-Employed Frequently Asked Questions/i)).toBeInTheDocument();
    });
});
//# sourceMappingURL=sba-forgiveness-faq.spec.js.map