export const StyledStandardCard: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, keyof {
    isFocused?: boolean;
    highlightColor?: string;
}> & {
    isFocused?: boolean;
    highlightColor?: string;
}, never>> & string;
export const StyledForm: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").FormHTMLAttributes<HTMLFormElement>, HTMLFormElement>, never>> & string;
export const TwoColumn: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
export const CardHeader: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("styled-components").FastOmit<{
    bold?: boolean;
    shouldScaleFont?: boolean;
    light?: boolean;
    size?: import("./copy.js").SizeKey;
    boldType?: "bold" | "regular" | "semiBold";
} & import("react").ClassAttributes<HTMLParagraphElement> & import("react").HTMLAttributes<HTMLParagraphElement>, never>, never>> & string;
/** @type {typeof Button} */
export const SubmitButton: typeof Button;
export const InfodrawerCopyWrapper: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
export const CreateAccountWrapper: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
export const StyledCDNAsset: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("styled-components").FastOmit<{
    directory: string;
    filename: string;
} & import("react").ClassAttributes<HTMLImageElement> & import("react").ImgHTMLAttributes<HTMLImageElement>, never>, never>> & string;
export const LegalCheckbox: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("styled-components").FastOmit<import("./types.js").InferComponentProps<import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<import("styled-components").FastOmit<import("styled-components/dist/types.js").Substitute<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>>, never>, {
    isInvalid?: boolean;
}>> & string> & {
    asideContent?: import("react").ReactNode;
    label?: import("react").ReactNode;
    checkedBackgroundColor?: import("csstype").Property.BackgroundColor;
    hasBorder?: boolean;
    hasSpaceForErrors?: boolean;
    errors?: string[];
    size?: "md" | "sm";
}, never>, never>> & string;
export const ErrorsMessage: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("styled-components").FastOmit<{
    bold?: boolean;
    shouldScaleFont?: boolean;
    light?: boolean;
    size?: import("./copy.js").SizeKey;
    boldType?: "bold" | "regular" | "semiBold";
} & import("react").ClassAttributes<HTMLParagraphElement> & import("react").HTMLAttributes<HTMLParagraphElement>, never>, never>> & string;
export const DisclaimerText: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("styled-components").FastOmit<{
    bold?: boolean;
    shouldScaleFont?: boolean;
    light?: boolean;
    size?: import("./copy.js").SizeKey;
    boldType?: "bold" | "regular" | "semiBold";
} & import("react").ClassAttributes<HTMLParagraphElement> & import("react").HTMLAttributes<HTMLParagraphElement>, never>, never>> & string;
export const StyledIcon: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("styled-components").FastOmit<{
    name: import("./index.js").IconName;
    size?: string;
} & import("react").SVGProps<SVGSVGElement>, never>, never>> & string;
export const CreateAccountHeader: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("styled-components").FastOmit<import("styled-components/dist/types.js").Substitute<import("styled-components/dist/types.js").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>>, {
    size?: "md" | "xs" | "sm" | "lg" | "xl";
}>, "size"> & {
    size?: "md" | "xs" | "sm" | "lg" | "xl";
}, never>> & string;
export function SBAPaycheckProtectionProgramForm({ hasCalculator, initialValues, isSubmittingForm, onFormSubmit, dispatchOpenInfoDrawer, shouldShowPasswordField, }: {
    hasCalculator?: boolean | undefined;
    initialValues?: {} | undefined;
    isSubmittingForm?: boolean | undefined;
    onFormSubmit?: (() => void) | undefined;
    dispatchOpenInfoDrawer?: (() => void) | undefined;
    shouldShowPasswordField?: boolean | undefined;
}): import("react/jsx-runtime").JSX.Element;
export function Form({ hasCalculator, initialValues, isSubmittingForm, onFormSubmit, dispatchOpenInfoDrawer, shouldShowPasswordField, }: {
    hasCalculator?: boolean | undefined;
    initialValues?: {} | undefined;
    isSubmittingForm?: boolean | undefined;
    onFormSubmit?: (() => void) | undefined;
    dispatchOpenInfoDrawer?: (() => void) | undefined;
    shouldShowPasswordField?: boolean | undefined;
}): import("react/jsx-runtime").JSX.Element;
import { Button } from './button.js';
