export declare const UserFeedbackContainer: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {
    isTouched?: boolean;
    shouldHideImmediately?: boolean;
}>> & string;
export declare const ThankYouMessage: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
export declare const AdditionalFeedbackContainer: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {
    shouldHide?: boolean;
}>> & string;
type UserFeedbackProps = {
    trackingLabel?: string;
    initialPrompt?: string;
    thumbsUpThankYouText?: string;
    thumbsDownThankYouText?: string;
    thumbsUpAdditionalFeedbackPrompt?: string;
    thumbsDownAdditionalFeedbackPrompt?: string;
    additionalFeedbackQuestion?: string;
    className?: string;
};
/**
Include this in a feature to collect user feedback. Once one has been interacted with it will hide for 30 days.
There can be as many per page as you would like as long as they all use different `trackingLabel` values.

`trackingLabel` should follow the [FE Tracking Standards](https://docs.google.com/document/d/1lo82s9spvkpuQwhT3W30hpIh-QKSnmk9oWuicqCktLE/edit)

Props:

- trackingLabel (Required)
- initialPrompt (Optional)
- thumbsUpThankYouText (Optional)
- thumbsDownThankYouText (Optional)
- thumbsUpAdditionalFeedbackPrompt (Optional)
- thumbsDownAdditionalFeedbackPrompt (Optional)
- additionalFeedbackQuestion (Optional)

Note: If you are not seeing the demo above then clear your cookies.

 */
export declare const UserFeedback: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<UserFeedbackProps, never>> & string & Omit<({ trackingLabel, className, initialPrompt, thumbsUpThankYouText, thumbsDownThankYouText, thumbsUpAdditionalFeedbackPrompt, thumbsDownAdditionalFeedbackPrompt, additionalFeedbackQuestion, }: UserFeedbackProps) => import("react/jsx-runtime").JSX.Element | null, keyof import("react").Component<any, {}, any>>;
export {};
