import * as AccordionPrimitive from '@radix-ui/react-accordion';
declare const AccordionInternal: {
    Root: import("react").ForwardRefExoticComponent<(AccordionPrimitive.AccordionSingleProps | AccordionPrimitive.AccordionMultipleProps) & import("react").RefAttributes<HTMLDivElement>>;
    Item: import("react").ForwardRefExoticComponent<AccordionPrimitive.AccordionItemProps & import("react").RefAttributes<HTMLDivElement>>;
    Header: import("react").ForwardRefExoticComponent<AccordionPrimitive.AccordionHeaderProps & import("react").RefAttributes<HTMLHeadingElement>>;
    Trigger: import("react").ForwardRefExoticComponent<AccordionPrimitive.AccordionTriggerProps & import("react").RefAttributes<HTMLButtonElement>>;
    Content: import("react").ComponentType<AccordionPrimitive.AccordionContentProps & import("react").RefAttributes<HTMLDivElement>>;
};
export type AccordionType = typeof AccordionInternal.Root & {
    Item: typeof AccordionInternal.Item;
    Header: typeof AccordionInternal.Header;
    Trigger: typeof AccordionInternal.Trigger;
    Content: typeof AccordionInternal.Content;
};
export declare const Accordion: AccordionType;
export {};
