import { ReactNode } from 'react';
import { InferComponentProps } from '../../types.js';
import { IconProps } from '../icon/icon.js';
declare const colors: {
    info: {
        background: "surfaceDim";
        color: "onSurface";
        iconColor: "onSurfaceVariant";
    };
    important: {
        background: "inverseSurface";
        color: "inverseOnSurface";
        iconColor: "onSurfaceDim";
    };
    recommendation: {
        background: "infoContainer";
        color: "onInfoContainer";
        iconColor: "infoBright";
    };
    error: {
        background: "errorContainer";
        color: "onErrorContainer";
        iconColor: "errorBright";
    };
};
export declare const BannerButton: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<import("styled-components/dist/types.js").Substitute<import("styled-components/dist/types.js").Substitute<(import("class-variance-authority").VariantProps<(props?: ({
    variant?: "primary" | "prime" | "default" | "plain" | "primaryPlain" | "primaryCritical" | null | undefined;
    density?: "loose" | "standard" | "tight" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string> & import("react").ButtonHTMLAttributes<HTMLButtonElement> & {
    loading?: boolean;
    asChild?: boolean;
} & import("react").RefAttributes<HTMLButtonElement>) | (Omit<import("class-variance-authority").VariantProps<(props?: ({
    variant?: "primary" | "prime" | "default" | "plain" | "primaryPlain" | "primaryCritical" | null | undefined;
    density?: "loose" | "standard" | "tight" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string> & import("react").ButtonHTMLAttributes<HTMLButtonElement> & {
    loading?: boolean;
    asChild?: boolean;
} & import("react").RefAttributes<HTMLButtonElement>, "ref"> & import("react").RefAttributes<import("react").Component<import("class-variance-authority").VariantProps<(props?: ({
    variant?: "primary" | "prime" | "default" | "plain" | "primaryPlain" | "primaryCritical" | null | undefined;
    density?: "loose" | "standard" | "tight" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string> & import("react").ButtonHTMLAttributes<HTMLButtonElement> & {
    loading?: boolean;
    asChild?: boolean;
} & import("react").RefAttributes<HTMLButtonElement>, any, any>>), Omit<import("class-variance-authority").VariantProps<(props?: ({
    variant?: "primary" | "prime" | "default" | "plain" | "primaryPlain" | "primaryCritical" | null | undefined;
    density?: "loose" | "standard" | "tight" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string> & import("react").ButtonHTMLAttributes<HTMLButtonElement> & {
    loading?: boolean;
    asChild?: boolean;
} & import("react").RefAttributes<HTMLButtonElement>, "ref"> & import("react").RefAttributes<import("react").Component<import("class-variance-authority").VariantProps<(props?: ({
    variant?: "primary" | "prime" | "default" | "plain" | "primaryPlain" | "primaryCritical" | null | undefined;
    density?: "loose" | "standard" | "tight" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string> & import("react").ButtonHTMLAttributes<HTMLButtonElement> & {
    loading?: boolean;
    asChild?: boolean;
} & import("react").RefAttributes<HTMLButtonElement>, any, any>>>, import("styled-components/dist/types.js").BaseObject> | import("styled-components/dist/types.js").Substitute<import("styled-components/dist/types.js").Substitute<(import("class-variance-authority").VariantProps<(props?: ({
    variant?: "primary" | "prime" | "default" | "plain" | "primaryPlain" | "primaryCritical" | null | undefined;
    density?: "loose" | "standard" | "tight" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string> & import("react").ButtonHTMLAttributes<HTMLButtonElement> & {
    loading?: boolean;
    asChild?: boolean;
} & import("react").RefAttributes<HTMLButtonElement>) | (Omit<import("class-variance-authority").VariantProps<(props?: ({
    variant?: "primary" | "prime" | "default" | "plain" | "primaryPlain" | "primaryCritical" | null | undefined;
    density?: "loose" | "standard" | "tight" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string> & import("react").ButtonHTMLAttributes<HTMLButtonElement> & {
    loading?: boolean;
    asChild?: boolean;
} & import("react").RefAttributes<HTMLButtonElement>, "ref"> & import("react").RefAttributes<import("react").Component<import("class-variance-authority").VariantProps<(props?: ({
    variant?: "primary" | "prime" | "default" | "plain" | "primaryPlain" | "primaryCritical" | null | undefined;
    density?: "loose" | "standard" | "tight" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string> & import("react").ButtonHTMLAttributes<HTMLButtonElement> & {
    loading?: boolean;
    asChild?: boolean;
} & import("react").RefAttributes<HTMLButtonElement>, any, any>>), import("class-variance-authority").VariantProps<(props?: ({
    variant?: "primary" | "prime" | "default" | "plain" | "primaryPlain" | "primaryCritical" | null | undefined;
    density?: "loose" | "standard" | "tight" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string> & import("react").ButtonHTMLAttributes<HTMLButtonElement> & {
    loading?: boolean;
    asChild?: boolean;
} & import("react").RefAttributes<HTMLButtonElement>>, import("styled-components/dist/types.js").BaseObject>, import("styled-components/dist/types.js").BaseObject>> & (string & (Omit<import("react").ComponentClass<import("class-variance-authority").VariantProps<(props?: ({
    variant?: "primary" | "prime" | "default" | "plain" | "primaryPlain" | "primaryCritical" | null | undefined;
    density?: "loose" | "standard" | "tight" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string> & import("react").ButtonHTMLAttributes<HTMLButtonElement> & {
    loading?: boolean;
    asChild?: boolean;
} & import("react").RefAttributes<HTMLButtonElement>, any>, keyof import("react").Component<any, {}, any>> | Omit<import("react").FunctionComponent<import("class-variance-authority").VariantProps<(props?: ({
    variant?: "primary" | "prime" | "default" | "plain" | "primaryPlain" | "primaryCritical" | null | undefined;
    density?: "loose" | "standard" | "tight" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string> & import("react").ButtonHTMLAttributes<HTMLButtonElement> & {
    loading?: boolean;
    asChild?: boolean;
} & import("react").RefAttributes<HTMLButtonElement>>, keyof import("react").Component<any, {}, any>>));
export declare const BannerIcon: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("styled-components").FastOmit<import("styled-components/dist/types.js").Substitute<import("styled-components").FastOmit<import("react").ClassAttributes<HTMLSpanElement> & import("react").HTMLAttributes<HTMLSpanElement> & {
    name: string;
    className?: string;
    isFilled?: boolean;
    size?: import("../icon/icon.js").SizeMapType;
}, never>, import("styled-components").FastOmit<import("react").ClassAttributes<HTMLSpanElement> & import("react").HTMLAttributes<HTMLSpanElement> & {
    name: string;
    className?: string;
    isFilled?: boolean;
    size?: import("../icon/icon.js").SizeMapType;
}, never>>, never>, never>> & string;
export declare const BannerHeader: import("react").ComponentType<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>>;
export declare const BannerBody: "div";
export declare const BannerBase: import("react").ForwardRefExoticComponent<{
    icon?: ReactNode;
    header?: ReactNode;
    body?: ReactNode;
    button?: ReactNode;
    inCard?: boolean;
    emphasis?: keyof typeof colors;
    open?: boolean;
    onOpenChange?(value: boolean): void;
} & Omit<InferComponentProps<import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<(import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement>) | (Omit<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement>, "ref"> & import("react").RefAttributes<import("react").Component<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, any, any>>), {
    emphasis?: keyof typeof colors;
    $slim?: boolean;
    $inCard?: boolean;
}>> & (string & (Omit<import("react").ComponentClass<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, any>, keyof import("react").Component<any, {}, any>> | Omit<import("react").FunctionComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, keyof import("react").Component<any, {}, any>>))>, "children"> & import("react").RefAttributes<HTMLDivElement>>;
export declare const Banner: import("react").ForwardRefExoticComponent<InferComponentProps<import("react").ForwardRefExoticComponent<{
    icon?: ReactNode;
    header?: ReactNode;
    body?: ReactNode;
    button?: ReactNode;
    inCard?: boolean;
    emphasis?: keyof typeof colors;
    open?: boolean;
    onOpenChange?(value: boolean): void;
} & Omit<InferComponentProps<import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<(import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement>) | (Omit<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement>, "ref"> & import("react").RefAttributes<import("react").Component<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, any, any>>), {
    emphasis?: keyof typeof colors;
    $slim?: boolean;
    $inCard?: boolean;
}>> & (string & (Omit<import("react").ComponentClass<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, any>, keyof import("react").Component<any, {}, any>> | Omit<import("react").FunctionComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, keyof import("react").Component<any, {}, any>>))>, "children"> & import("react").RefAttributes<HTMLDivElement>>> & {
    iconName?: IconProps["name"];
    iconClassName?: string;
    headerText?: ReactNode;
    bodyText?: ReactNode;
    button?: ReactNode;
    emphasis?: keyof typeof colors;
} & import("react").RefAttributes<HTMLDivElement>>;
export {};
