import { FC, ReactNode } from 'react';
import * as DropdownMenu from '@radix-ui/react-dropdown-menu';
import { InferComponentProps } from '../../types.js';
export declare const DropdownMenuRoot: FC<DropdownMenu.DropdownMenuProps>;
export declare const DropdownMenuTrigger: import("react").ForwardRefExoticComponent<DropdownMenu.DropdownMenuTriggerProps & import("react").RefAttributes<HTMLButtonElement>>;
export declare const DropdownMenuSeparator: ({ ...props }: {
    [x: string]: any;
}) => import("react/jsx-runtime").JSX.Element;
type DropdownMenuItemProps = InferComponentProps<typeof DropdownMenu.Item> & {
    icon?: ReactNode;
    subLabel?: ReactNode;
    children?: ReactNode;
};
export declare const DropdownMenuItem: FC<DropdownMenuItemProps>;
export declare const BaseDropdownMenuItem: FC<DropdownMenuItemProps>;
declare const StyledDropdownMenuContent: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<DropdownMenu.DropdownMenuContentProps & import("react").RefAttributes<HTMLDivElement>, never>> & string & Omit<import("react").ForwardRefExoticComponent<DropdownMenu.DropdownMenuContentProps & import("react").RefAttributes<HTMLDivElement>>, keyof import("react").Component<any, {}, any>>;
export declare const DropdownMenuPortalContent: ({ children, sideOffset, ...props }: InferComponentProps<typeof StyledDropdownMenuContent>) => import("react/jsx-runtime").JSX.Element;
export {};
