import { ButtonHTMLAttributes, DetailedHTMLProps } from 'react';
import { IconProps } from '../icon/icon.js';
declare const densities: {
    tight: import("styled-components").RuleSet<object>;
    standard: import("styled-components").RuleSet<object>;
    loose: import("styled-components").RuleSet<object>;
    hug: import("styled-components").RuleSet<object>;
};
export type Density = keyof typeof densities;
type DensityProps = {
    density?: Density;
};
export declare const BaseIconButton: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<DetailedHTMLProps<ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, DensityProps>> & string;
export type IconButtonProps = DetailedHTMLProps<ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement> & Pick<IconProps, 'name' | 'size' | 'isFilled'> & DensityProps & {
    asChild?: boolean;
};
export declare const IconButton: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<Omit<IconButtonProps, "ref"> & import("react").RefAttributes<HTMLButtonElement>, never>> & string & Omit<import("react").ForwardRefExoticComponent<Omit<IconButtonProps, "ref"> & import("react").RefAttributes<HTMLButtonElement>>, keyof import("react").Component<any, {}, any>>;
export {};
