import { HTMLAttributes } from 'react';
export type HelperTextProps = HTMLAttributes<HTMLDivElement> & {
    helperText?: string;
    errorText?: string;
};
export declare const getError: (error: string | string[] | undefined) => string | undefined;
/**
 * Displays small text or errors under an input
 */
export declare const HelperText: import("react").ForwardRefExoticComponent<HTMLAttributes<HTMLDivElement> & {
    helperText?: string;
    errorText?: string;
} & import("react").RefAttributes<HTMLDivElement>>;
