var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { cn } from '../../cn.js';
import { forwardRef } from 'react';
export const getError = (error) => {
    if (!error)
        return undefined;
    if (typeof error === 'string') {
        return error;
    }
    if (Array.isArray(error)) {
        return error[0];
    }
    return undefined;
};
/**
 * Displays small text or errors under an input
 */
export const HelperText = forwardRef((_a, forwardedRef) => {
    var { errorText, helperText } = _a, props = __rest(_a, ["errorText", "helperText"]);
    return (_jsx("div", Object.assign({ ref: forwardedRef, "data-testid": "helper-text" }, props, { children: (helperText || errorText) && (_jsx("div", { className: cn('caption1', errorText && 'text-error'), children: errorText || helperText })) })));
});
//# sourceMappingURL=helper-text.js.map