type LoadingShimmerTextProps = {
    text: string;
    className?: string;
};
/**
 *
 * @param text - The text to display
 * @param className - Additional class names to apply to the text. You can change the color of the shimmer effect by using the `from`, `via`, and `to` classes. Keep the from and to classes the same color to create a solid shimmer effect.
 * @returns A loading shimmer text component that displays a shimmering effect on the provided text.
 */
export declare const LoadingShimmerText: ({ text, className }: LoadingShimmerTextProps) => import("react/jsx-runtime").JSX.Element;
export {};
