import { addClassNameTo } from '../../add-classname-to.js';
import { styledBackwardsCompatibility } from '../../styled-backwards-compatibility.js';
const PageContainerWrapper = styledBackwardsCompatibility(addClassNameTo('div', /* cn */ 'flex flex-nowrap flex-col p-200 tablet:p-400 tablet:flex-row laptop:p-600'));
export const PageContainerGrid = styledBackwardsCompatibility(addClassNameTo('div', /* cn */ 'grid grid-cols-1 gap-200 grow laptop:grid-cols-6'));
export const PageContainerSideBar = styledBackwardsCompatibility(addClassNameTo('div', /* cn */ 'w-[280px] laptop:w-[320px]'));
export const PageContainer = PageContainerWrapper;
//# sourceMappingURL=index.js.map