import { ReactNode } from 'react';
export interface PageHeaderProps {
    title?: ReactNode;
    description?: ReactNode;
    variation?: 'primary' | 'secondary';
    onCtaClick?: () => void;
    secondaryCtaText?: ReactNode;
    defaultTabName?: string;
    tabs?: Array<{
        id: string;
        title: ReactNode;
        content: ReactNode;
    }>;
    className?: string;
}
export declare const PageHeader: import("react").ForwardRefExoticComponent<PageHeaderProps & import("react").RefAttributes<HTMLDivElement>>;
