import * as ToastPrimitive from '@radix-ui/react-toast';
import { CSSProperties } from 'react';
export declare const Toast: import("react").ForwardRefExoticComponent<Partial<import("../../types.js").InferComponentProps<import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<ToastPrimitive.ToastProps & import("react").RefAttributes<HTMLLIElement>, {
    variation: import("./types.js").VariationType;
}>> & string & Omit<import("react").ForwardRefExoticComponent<ToastPrimitive.ToastProps & import("react").RefAttributes<HTMLLIElement>>, keyof import("react").Component<any, {}, any>>>> & {
    onOpenChange?: (open: boolean) => void;
    iconComponent?: import("react").ReactNode;
    duration?: number;
    title?: import("react").ReactNode;
    description?: import("react").ReactNode;
    shouldAutoClose?: boolean;
    className?: string;
    style?: import("styled-components").CSSProperties;
} & import("react").RefAttributes<HTMLLIElement>>;
type ToastProviderProps = ToastPrimitive.ToastProviderProps & {
    viewportStyle?: CSSProperties;
};
export declare const ToastProvider: ({ children, viewportStyle, ...props }: ToastProviderProps) => import("react/jsx-runtime").JSX.Element;
export {};
