import { ReactNode } from 'react';
import { InferComponentProps } from '../../types.js';
import { IconProps } from '../icon/icon.js';
export declare const Well: import("react").ForwardRefExoticComponent<Omit<InferComponentProps<import("react").ForwardRefExoticComponent<{
    icon?: ReactNode;
    header?: ReactNode;
    body?: ReactNode;
    button?: ReactNode;
    inCard?: boolean;
    emphasis?: "error" | "info" | "important" | "recommendation";
    open?: boolean;
    onOpenChange?(value: boolean): void;
} & Omit<InferComponentProps<import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<(import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement>) | (Omit<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement>, "ref"> & import("react").RefAttributes<import("react").Component<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, any, any>>), {
    emphasis?: "error" | "info" | "important" | "recommendation";
    $slim?: boolean;
    $inCard?: boolean;
}>> & (string & (Omit<import("react").ComponentClass<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, any>, keyof import("react").Component<any, {}, any>> | Omit<import("react").FunctionComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, keyof import("react").Component<any, {}, any>>))>, "children"> & import("react").RefAttributes<HTMLDivElement>>>, "body" | "button" | "header" | "emphasis"> & {
    iconName?: IconProps["name"];
    children?: ReactNode;
} & import("react").RefAttributes<HTMLDivElement>>;
