import { ChangeEventHandler } from 'react';
import { TargetValue } from '../shared.js';
import { BaseStringInputProps } from '../base-string-input/base-string-input.js';
type UpdatedHTMLInputElement = TargetValue<HTMLInputElement, number>;
export type BaseIntegerInputProps = Omit<BaseStringInputProps, 'value' | 'onChange'> & {
    value?: number;
    onChange?: ChangeEventHandler<UpdatedHTMLInputElement>;
};
export declare const BaseIntegerInput: import("react").ForwardRefExoticComponent<Omit<BaseStringInputProps, "onChange" | "value"> & {
    value?: number;
    onChange?: ChangeEventHandler<UpdatedHTMLInputElement>;
} & import("react").RefAttributes<HTMLInputElement>>;
export {};
