import { ReactNode } from 'react';
import { ThemeColor } from './types.js';
type BlockQuoteProps = {
    /** The actual quote */
    children?: ReactNode;
    /** It changes the color of the line to the left of the quote, must be defined in the theme (ex: navPrimary) */
    color?: ThemeColor;
};
/**
 * Component to handle blockquote in the blog.  Color uses theme colors.
 */
export declare const BlockQuote: ({ children, color }: BlockQuoteProps) => import("react/jsx-runtime").JSX.Element;
export {};
