import { styled } from 'styled-components';
/**
 * `Divider` is Nav's styled `hr` component.
 */
export const Divider = styled.hr.withConfig({ displayName: "brc-sc-Divider", componentId: "brc-sc-1uz6t99" }) `
  border-radius: 100px;
  border: none;
  height: 4px;
  background-color: ${({ theme }) => theme.navNeutral200};
  margin: 0;
`;
//# sourceMappingURL=divider.js.map