import { FocusEventHandler, ChangeEventHandler } from 'react';
import { Input } from '../input.js';
import { InferComponentProps } from '../types.js';
type UsdInputProps = InferComponentProps<typeof Input> & {
    name: string;
    onBlur?: FocusEventHandler<HTMLInputElement>;
    onChange?: ChangeEventHandler<HTMLInputElement>;
    invalidOnTouched?: boolean;
    allowNegatives?: boolean;
};
/**
 * @deprecated This component is deprecated and will be removed in a future release. Avoid using it in new code.
 */
export declare const UsdInput: ({ name, onBlur, onChange, invalidOnTouched, allowNegatives, ...props }: UsdInputProps) => import("react/jsx-runtime").JSX.Element;
export {};
