import { AllTags } from './types.js';
export type RawAttributes = {
    [key: string]: string | number;
} & {
    style?: string;
};
type Attributes = Record<string, number | string | boolean | StyleObject>;
type StyleObject = Record<string, number | string>;
export default function mapAttribute(originalTag: AllTags, attrs: RawAttributes | undefined, preserveAttributes: Array<string | RegExp>, getPropInfo: (originalTag: AllTags, attributeName: string) => {
    name: string;
    isBoolean: boolean;
}): Attributes;
export {};
