import { jsx as _jsx } from "react/jsx-runtime";
import { describe, expect, it } from 'vitest';
import { screen } from '@testing-library/react';
import { OrderedList } from './list.js';
import { renderWithContext } from './tests/with-app-context.js';
describe('<List />', () => {
    describe('List', () => {
        it('renders', () => {
            renderWithContext(_jsx(OrderedList, { children: _jsx("li", { children: "hello" }) }));
            expect(screen.getByText(/hello/i));
        });
    });
});
//# sourceMappingURL=list.spec.js.map