import { InferComponentProps } from './types.js';
export declare const Dot: import("react").ComponentType<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>>;
export declare const DotWrapper: import("react").ComponentType<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>>;
export type LoadingDotColorKey = 'purple' | 'white';
export declare const Wrapper: import("react").ComponentType<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>>;
type LoadingDotsProps = InferComponentProps<typeof Wrapper> & {
    /** @deprecated - use className to defined the text color instead */
    dotColor?: LoadingDotColorKey;
};
/**
```
<LoadingDots />
```

To change the color of the LoadingDots

```
<LoadingDots variation="purple">
```

The dots will take on the color assigned via the `variation` property.

*/
export declare const LoadingDots: ({ dotColor, ...props }: LoadingDotsProps) => import("react/jsx-runtime").JSX.Element;
export {};
