import { jsx as _jsx } from "react/jsx-runtime";
import { describe, expect, it } from 'vitest';
import { renderWithContext } from './tests/with-app-context.js';
import { screen } from '@testing-library/react';
import { LoadingDots } from './loading-dots.js';
describe('<LoadingDots />', () => {
    it('renders', () => {
        renderWithContext(_jsx(LoadingDots, { "data-testid": "loading-dots" }));
        expect(screen.getByTestId('loading-dots')).toBeInTheDocument();
    });
});
//# sourceMappingURL=loading-dots.spec.js.map