import { RouteComponentProps } from 'react-router-dom';
import { RenderResult } from '@testing-library/react';
import { ComponentType, JSX, ReactNode } from 'react';
export declare const withAppContext: <T extends JSX.IntrinsicAttributes>(ComponentIn: ComponentType<T>) => (props: T) => import("react/jsx-runtime").JSX.Element;
export declare const renderWithContext: (ui: ReactNode, options?: {
    initialEntries?: string[];
}) => RenderResult & {
    getRouteProps: () => RouteComponentProps;
};
