import { jsx as _jsx } from "react/jsx-runtime";
import { describe, expect, it } from 'vitest';
import { renderWithContext } from './tests/with-app-context.js';
import { screen } from '@testing-library/react';
import { Text } from './text.js';
describe('Base Components: Text', () => {
    describe('render', () => {
        it('renders Text', () => {
            renderWithContext(_jsx(Text, { children: "test text" }));
            expect(screen.getByText('test text').tagName).toBe('SPAN');
        });
    });
});
//# sourceMappingURL=text.spec.js.map