export declare const colors: {
    readonly red20: "#2C0309";
    readonly red30: "#4F151D";
    readonly red40: "#732A33";
    readonly red50: "#9A414A";
    readonly red60: "#B4656A";
    readonly red70: "#CE888B";
    readonly red80: "#E7ACAE";
    readonly red90: "#FFD1D2";
    readonly red100: "#FFF6F7";
    readonly redBright50: "#D83025";
    readonly redBright80: "#F28B82";
    readonly yellow20: "#16140F";
    readonly yellow30: "#302C1F";
    readonly yellow40: "#4D462F";
    readonly yellow50: "#6C623F";
    readonly yellow60: "#8D7F50";
    readonly yellow70: "#AF9D61";
    readonly yellow80: "#D2BD73";
    readonly yellow90: "#F4DD90";
    readonly yellow100: "#FFFFBD";
    readonly yellowBright50: "#F9AB00";
    readonly yellowBright80: "#FFC74D";
    readonly green20: "#001C0B";
    readonly green30: "#053620";
    readonly green40: "#1B5337";
    readonly green50: "#3F6E54";
    readonly green60: "#638B73";
    readonly green70: "#87A894";
    readonly green80: "#ACC5B5";
    readonly green90: "#D2E4D9";
    readonly green100: "#F8FFFC";
    readonly greenBright40: "#198039";
    readonly greenBright80: "#6FDC8D";
    readonly teal20: "#00191A";
    readonly teal30: "#003335";
    readonly teal40: "#0B4F51";
    readonly teal50: "#326B6D";
    readonly teal60: "#598889";
    readonly teal70: "#7EA5A6";
    readonly teal80: "#A5C3C3";
    readonly teal90: "#CCE2E2";
    readonly teal100: "#F4FFFF";
    readonly tealBright60: "#2CB3B6";
    readonly tealBright80: "#4CEBEB";
    readonly blue20: "#011430";
    readonly blue30: "#0E2C52";
    readonly blue40: "#224777";
    readonly blue50: "#38639C";
    readonly blue60: "#5B81B4";
    readonly blue70: "#7FA0CC";
    readonly blue80: "#A5C0E4";
    readonly blue90: "#CBE0FC";
    readonly blue100: "#F2FFFF";
    readonly blueBright40: "#1B72E4";
    readonly blueBright80: "#66A5FA";
    readonly purple20: "#140638";
    readonly purple30: "#2A1C5E";
    readonly purple40: "#433487";
    readonly purple50: "#5E4DB2";
    readonly purple60: "#7A6FC8";
    readonly purple70: "#9891DE";
    readonly purple80: "#B8B4F3";
    readonly purple90: "#D9D6FF";
    readonly purple100: "#FBFAFF";
    readonly purpleBright50: "#705CD6";
    readonly purpleBright80: "#938CF2";
    readonly primeBlue0: "#121027";
    readonly primeBlue5: "#17193D";
    readonly primeBlue10: "#1F2651";
    readonly primeBlue15: "#273664";
    readonly primeBlue20: "#304777";
    readonly primeBlue25: "#395A8A";
    readonly primeBlue30: "#426F9C";
    readonly primeBlue35: "#4C86AE";
    readonly primeBlue40: "#569EC0";
    readonly primeBlue45: "#60B7D2";
    readonly primeBlue50: "#6AD1E3";
    readonly primeBlue55: "#77D7E8";
    readonly primeBlue60: "#84DDEC";
    readonly primeBlue65: "#91E2F0";
    readonly primeBlue70: "#9FE7F4";
    readonly primeBlue75: "#AEECF7";
    readonly primeBlue80: "#BDF1FA";
    readonly primeBlue85: "#CCF5FC";
    readonly primeBlue90: "#DCF8FD";
    readonly primeBlue95: "#ECFCFE";
    readonly primeBlue100: "#FDFFFF";
    readonly neutral0: "#000000";
    readonly neutral4: "#0E0E11";
    readonly neutral5: "#111114";
    readonly neutral6: "#131316";
    readonly neutral10: "#1B1B1F";
    readonly neutral12: "#1F1F23";
    readonly neutral17: "#2A2A2D";
    readonly neutral20: "#303034";
    readonly neutral22: "#353438";
    readonly neutral24: "#39393C";
    readonly neutral25: "#3C3B3F";
    readonly neutral30: "#47464A";
    readonly neutral35: "#535256";
    readonly neutral40: "#5F5E62";
    readonly neutral50: "#78767A";
    readonly neutral60: "#929094";
    readonly neutral70: "#ADABAE";
    readonly neutral80: "#C8C6C9";
    readonly neutral87: "#DCDBDC";
    readonly neutral90: "#E4E3E4";
    readonly neutral92: "#EAE9EA";
    readonly neutral94: "#EFEFEF";
    readonly neutral95: "#F2F2F2";
    readonly neutral96: "#F5F4F5";
    readonly neutral98: "#FBFAFB";
    readonly neutral99: "#FDFDFD";
    readonly neutral100: "#FFFFFF";
    readonly neutralVariant0: "#000000";
    readonly neutralVariant4: "#0D0E15";
    readonly neutralVariant5: "#101018";
    readonly neutralVariant6: "#12131A";
    readonly neutralVariant10: "#1B1B23";
    readonly neutralVariant12: "#1F1F27";
    readonly neutralVariant17: "#292931";
    readonly neutralVariant20: "#303038";
    readonly neutralVariant22: "#34343C";
    readonly neutralVariant24: "#383841";
    readonly neutralVariant25: "#3B3B43";
    readonly neutralVariant30: "#46464F";
    readonly neutralVariant35: "#52525B";
    readonly neutralVariant40: "#5E5D67";
    readonly neutralVariant50: "#777680";
    readonly neutralVariant60: "#91909A";
    readonly neutralVariant70: "#ACAAB4";
    readonly neutralVariant80: "#C7C5D0";
    readonly neutralVariant87: "#DBD9E4";
    readonly neutralVariant90: "#E3E1EC";
    readonly neutralVariant92: "#E9E7F2";
    readonly neutralVariant94: "#EFECF8";
    readonly neutralVariant95: "#F2EFFA";
    readonly neutralVariant96: "#F5F2FD";
    readonly neutralVariant98: "#FBF8FF";
    readonly neutralVariant99: "#FFFBFF";
    readonly neutralVariant100: "#FFFFFF";
};
export declare const deprecatedThemeColors: {
    /** * @deprecated */
    navPrimary: string;
    /** * @deprecated */
    navPrimary100: string;
    /** * @deprecated */
    navPrimary200: string;
    /** * @deprecated */
    navPrimary300: string;
    /** * @deprecated */
    navPrimary400: string;
    /** * @deprecated */
    navPrimary500: string;
    /** * @deprecated */
    navPrimary700: string;
    /** * @deprecated */
    navSecondary: string;
    /** * @deprecated */
    navSecondary100: string;
    /** * @deprecated */
    navSecondary300: string;
    /** * @deprecated */
    navSecondary400: string;
    /** * @deprecated */
    navSecondary500: string;
    /** * @deprecated */
    navSecondary600: string;
    /** * @deprecated */
    navNeutral: string;
    /** * @deprecated */
    navNeutralLight: string;
    /** * @deprecated */
    navNeutralDark: string;
    /** * @deprecated */
    navNeutral100: string;
    /** * @deprecated */
    navNeutral200: string;
    /** * @deprecated */
    navNeutral300: string;
    /** * @deprecated */
    navNeutral400: string;
    /** * @deprecated */
    navNeutral500: string;
    /** * @deprecated */
    navAccent: string;
    /** * @deprecated */
    navAccent100: string;
    /** * @deprecated */
    navAccent200: string;
    /** * @deprecated */
    navAccent300: string;
    /** * @deprecated */
    navAccent400: string;
    /** * @deprecated */
    navAccent500: string;
    /** * @deprecated */
    navAccent700: string;
    /** * @deprecated */
    navStatusPositive: string;
    /** * @deprecated */
    navStatusPositive100: string;
    /** * @deprecated */
    navStatusPositive200: string;
    /** * @deprecated */
    navStatusPositive300: string;
    /** * @deprecated */
    navStatusPositive400: string;
    /** * @deprecated */
    navStatusPositive500: string;
    /** * @deprecated */
    navStatusPositive700: string;
    /** * @deprecated */
    navStatusNegative: string;
    /** * @deprecated */
    navStatusNegative100: string;
    /** * @deprecated */
    navStatusNegative200: string;
    /** * @deprecated */
    navStatusNegative300: string;
    /** * @deprecated */
    navStatusNegative400: string;
    /** * @deprecated */
    navStatusNegative500: string;
    /** * @deprecated */
    navStatusNegative700: string;
    /** * @deprecated */
    azure: string;
    /** * @deprecated */
    oceanBoat: string;
    /** * @deprecated */
    belugaWhite: string;
    /** * @deprecated */
    white: string;
    /** * @deprecated */
    scuttleGray100: string;
    /** * @deprecated */
    scuttleGray200: string;
    /** * @deprecated */
    scuttleGray300: string;
    /** * @deprecated */
    scuttleGray400: string;
    /** * @deprecated */
    scuttleGray500: string;
    /** * @deprecated */
    scuttleGray600: string;
    /** * @deprecated */
    neutral100: string;
    /** * @deprecated */
    neutral200: string;
    /** * @deprecated */
    neutral300: string;
    /** * @deprecated */
    neutral400: string;
    /** * @deprecated */
    neutral500: string;
    /** * @deprecated */
    mermaidGreen100: string;
    /** * @deprecated */
    mermaidGreen200: string;
    /** * @deprecated */
    mermaidGreen300: string;
    /** * @deprecated */
    mermaidGreen400: string;
    /** * @deprecated */
    mermaidGreen500: string;
    /** * @deprecated */
    paleGold100: string;
    /** * @deprecated */
    paleGold200: string;
    /** * @deprecated */
    paleGold300: string;
    /** * @deprecated */
    paleGold400: string;
    /** * @deprecated */
    paleGold500: string;
    /** * @deprecated */
    rose100: string;
    /** * @deprecated */
    rose200: string;
    /** * @deprecated */
    rose300: string;
    /** * @deprecated */
    rose400: string;
    /** * @deprecated */
    rose500: string;
    /** * @deprecated */
    greenSheen100: string;
    /** * @deprecated */
    greenSheen200: string;
    /** * @deprecated */
    greenSheen300: string;
    /** * @deprecated */
    greenSheen400: string;
    /** * @deprecated */
    greenSheen500: string;
    /** * @deprecated */
    mossGreen100: string;
    /** * @deprecated */
    mossGreen200: string;
    /** * @deprecated */
    mossGreen300: string;
    /** * @deprecated */
    mossGreen400: string;
    /** * @deprecated */
    mossGreen500: string;
    /** * @deprecated */
    tan100: string;
    /** * @deprecated */
    tan200: string;
    /** * @deprecated */
    tan300: string;
    /** * @deprecated */
    tan400: string;
    /** * @deprecated */
    tan500: string;
    /** * @deprecated */
    timberwolf100: string;
    /** * @deprecated */
    timberwolf200: string;
    /** * @deprecated */
    timberwolf300: string;
    /** * @deprecated */
    timberwolf400: string;
    /** * @deprecated */
    timberwolf500: string;
    /** * @deprecated */
    gainsboro100: string;
    /** * @deprecated */
    gainsboro200: string;
    /** * @deprecated */
    gainsboro300: string;
    /** * @deprecated */
    gainsboro400: string;
    /** * @deprecated */
    gainsboro500: string;
    /** * @deprecated */
    bubbleBlue100: string;
    /** * @deprecated */
    bubbleBlue200: string;
    /** * @deprecated */
    bubbleBlue300: string;
    /** * @deprecated */
    bubbleBlue400: string;
    /** * @deprecated */
    bubbleBlue500: string;
    /** * @deprecated */
    pastelBlue100: string;
    /** * @deprecated */
    pastelBlue200: string;
    /** * @deprecated */
    pastelBlue300: string;
    /** * @deprecated */
    pastelBlue400: string;
    /** * @deprecated */
    pastelBlue500: string;
    /** * @deprecated */
    lightBlue100: string;
    /** * @deprecated */
    lightBlue200: string;
    /** * @deprecated */
    lightBlue300: string;
    /** * @deprecated */
    lightBlue400: string;
    /** * @deprecated */
    lightBlue500: string;
    /** * @deprecated */
    sebastianRed100: string;
    /** * @deprecated */
    sebastianRed200: string;
    /** * @deprecated */
    flounderYellow100: string;
    /** * @deprecated */
    flounderYellow200: string;
    /** * @deprecated */
    seaturtleGreen100: string;
    /** * @deprecated */
    seaturtleGreen200: string;
    /** * @deprecated */
    copperRed100: string;
    /** * @deprecated */
    copperRed200: string;
    /** * @deprecated */
    lightRed: string;
    /** * @deprecated */
    tumbleweed: string;
    /** * @deprecated */
    tumbleweed100: string;
    /** * @deprecated */
    tuscan100: string;
    /** * @deprecated */
    tuscan200: string;
    /** * @deprecated */
    seaFoam100: string;
    /** * @deprecated */
    seaFoam: string;
    /** * @deprecated */
    oceanGreen100: string;
    /** * @deprecated */
    oceanGreen200: string;
    /** * @deprecated */
    good: string;
    /** * @deprecated */
    semigood: string;
    /** * @deprecated */
    fair: string;
    /** * @deprecated */
    semipoor: string;
    /** * @deprecated */
    poor: string;
    /** * @deprecated */
    transparentWhite: string;
    /** * @deprecated */
    transparentBlack: string;
    /** * @deprecated */
    transparentRed: string;
    /** * @deprecated */
    focusOutline: string;
    /** * @deprecated */
    success: string;
    /** * @deprecated */
    warning: string;
    /** * @deprecated */
    error: string;
    /** * @deprecated */
    notice: string;
    /** * @deprecated */
    pagebg: string;
    /** * @deprecated */
    border: string;
};
export declare const deprecatedStatusColors: {
    good: {
        backgroundColor: string;
        color: string;
    };
    semigood: {
        backgroundColor: string;
        color: string;
    };
    fair: {
        backgroundColor: string;
        color: string;
    };
    semipoor: {
        backgroundColor: string;
        color: string;
    };
    poor: {
        backgroundColor: string;
        color: string;
    };
};
export declare const baseTheme: {
    statusColors: {
        good: {
            backgroundColor: string;
            color: string;
        };
        semigood: {
            backgroundColor: string;
            color: string;
        };
        fair: {
            backgroundColor: string;
            color: string;
        };
        semipoor: {
            backgroundColor: string;
            color: string;
        };
        poor: {
            backgroundColor: string;
            color: string;
        };
    };
    /** * @deprecated */
    colorRainbow: string[];
    fontPrimary: string;
    fontSecondary: string;
    /** * @deprecated */
    gu: (units?: number) => string;
    /** * @deprecated */
    contentWidth: number;
    /** * @deprecated */
    goldenRatio: number;
    media: {
        readonly xs: "768px";
        readonly sm: "1024px";
        readonly small: "600px";
        readonly md: "1280px";
        readonly large: "1440px";
        readonly lg: "1280px";
    };
    mediaQuery: {
        readonly onlyPhones: "@media (max-width: 768px)";
        readonly largerThanPhone: "@media (min-width: 768px)";
        readonly onlyTablets: "@media (min-width: 768px) and (max-width: 1024px)";
        readonly largerThanTablet: "@media (min-width: 1024px)";
        readonly onlyLaptops: "@media (min-width: 1024px) and (max-width: 1280px)";
        readonly largerThanLaptop: "@media (min-width: 1280px)";
        readonly onlyDesktops: "@media (min-width: 1280px)";
    };
    /** @deprecated
     * Use the mediaQuery instead. eg `theme.mediaQuery.largerThanPhone`
     */
    forLargerThanPhone: string;
    materialTransitionTiming: string;
    spacing: {
        readonly space0: "0px";
        readonly space25: "2px";
        readonly space50: "4px";
        readonly space75: "6px";
        readonly space100: "8px";
        readonly space150: "12px";
        readonly space200: "16px";
        readonly space250: "20px";
        readonly space300: "24px";
        readonly space350: "28px";
        readonly space400: "32px";
        readonly space500: "40px";
        readonly space600: "48px";
        readonly space800: "64px";
        readonly space1000: "80px";
    };
    space: (...spacesNumbers: import("./spacing.js").SpaceKeyNumber[]) => string;
    radius: {
        readonly radius0: "0";
        readonly radius100: "4px";
        readonly radius200: "6px";
        readonly radius300: "8px";
        readonly radius400: "12px";
        readonly radiusRound: "999px";
    };
    elevations: {
        readonly elevation1: "box-shadow: 0 0 0 1px rgb(0 0 0 / 10%), 0 4px 1px -2px rgb(0 0 0 / 8%);";
        readonly elevation2: "box-shadow: 0 0 0 1px rgb(0 0 0 / 10%), 0 4px 4px -2px rgb(0 0 0 / 5%), 0 8px 8px -4px rgb(0 0 0 / 5%), 0 16px 16px -8px rgb(0 0 0 / 5%);";
        readonly elevation3: "box-shadow: 0 0 0 1px rgb(0 0 0 / 10%), 0 8px 8px -4px rgb(0 0 0 / 5%), 0 16px 16px -8px rgb(0 0 0 / 5%), 0 32px 32px -16px rgb(0 0 0 / 5%);";
        readonly elevation4: "box-shadow: 0 0 0 1px rgb(0 0 0 / 10%), 0 16px 16px -16px rgb(0 0 0 / 5%), 0 32px 32px -16px rgb(0 0 0 / 5%), 0 64px 64px -32px rgb(0 0 0 / 5%);";
    };
    /** * @deprecated */
    navPrimary: string;
    /** * @deprecated */
    navPrimary100: string;
    /** * @deprecated */
    navPrimary200: string;
    /** * @deprecated */
    navPrimary300: string;
    /** * @deprecated */
    navPrimary400: string;
    /** * @deprecated */
    navPrimary500: string;
    /** * @deprecated */
    navPrimary700: string;
    /** * @deprecated */
    navSecondary: string;
    /** * @deprecated */
    navSecondary100: string;
    /** * @deprecated */
    navSecondary300: string;
    /** * @deprecated */
    navSecondary400: string;
    /** * @deprecated */
    navSecondary500: string;
    /** * @deprecated */
    navSecondary600: string;
    /** * @deprecated */
    navNeutral: string;
    /** * @deprecated */
    navNeutralLight: string;
    /** * @deprecated */
    navNeutralDark: string;
    /** * @deprecated */
    navNeutral100: string;
    /** * @deprecated */
    navNeutral200: string;
    /** * @deprecated */
    navNeutral300: string;
    /** * @deprecated */
    navNeutral400: string;
    /** * @deprecated */
    navNeutral500: string;
    /** * @deprecated */
    navAccent: string;
    /** * @deprecated */
    navAccent100: string;
    /** * @deprecated */
    navAccent200: string;
    /** * @deprecated */
    navAccent300: string;
    /** * @deprecated */
    navAccent400: string;
    /** * @deprecated */
    navAccent500: string;
    /** * @deprecated */
    navAccent700: string;
    /** * @deprecated */
    navStatusPositive: string;
    /** * @deprecated */
    navStatusPositive100: string;
    /** * @deprecated */
    navStatusPositive200: string;
    /** * @deprecated */
    navStatusPositive300: string;
    /** * @deprecated */
    navStatusPositive400: string;
    /** * @deprecated */
    navStatusPositive500: string;
    /** * @deprecated */
    navStatusPositive700: string;
    /** * @deprecated */
    navStatusNegative: string;
    /** * @deprecated */
    navStatusNegative100: string;
    /** * @deprecated */
    navStatusNegative200: string;
    /** * @deprecated */
    navStatusNegative300: string;
    /** * @deprecated */
    navStatusNegative400: string;
    /** * @deprecated */
    navStatusNegative500: string;
    /** * @deprecated */
    navStatusNegative700: string;
    /** * @deprecated */
    azure: string;
    /** * @deprecated */
    oceanBoat: string;
    /** * @deprecated */
    belugaWhite: string;
    /** * @deprecated */
    white: string;
    /** * @deprecated */
    scuttleGray100: string;
    /** * @deprecated */
    scuttleGray200: string;
    /** * @deprecated */
    scuttleGray300: string;
    /** * @deprecated */
    scuttleGray400: string;
    /** * @deprecated */
    scuttleGray500: string;
    /** * @deprecated */
    scuttleGray600: string;
    /** * @deprecated */
    neutral100: string;
    /** * @deprecated */
    neutral200: string;
    /** * @deprecated */
    neutral300: string;
    /** * @deprecated */
    neutral400: string;
    /** * @deprecated */
    neutral500: string;
    /** * @deprecated */
    mermaidGreen100: string;
    /** * @deprecated */
    mermaidGreen200: string;
    /** * @deprecated */
    mermaidGreen300: string;
    /** * @deprecated */
    mermaidGreen400: string;
    /** * @deprecated */
    mermaidGreen500: string;
    /** * @deprecated */
    paleGold100: string;
    /** * @deprecated */
    paleGold200: string;
    /** * @deprecated */
    paleGold300: string;
    /** * @deprecated */
    paleGold400: string;
    /** * @deprecated */
    paleGold500: string;
    /** * @deprecated */
    rose100: string;
    /** * @deprecated */
    rose200: string;
    /** * @deprecated */
    rose300: string;
    /** * @deprecated */
    rose400: string;
    /** * @deprecated */
    rose500: string;
    /** * @deprecated */
    greenSheen100: string;
    /** * @deprecated */
    greenSheen200: string;
    /** * @deprecated */
    greenSheen300: string;
    /** * @deprecated */
    greenSheen400: string;
    /** * @deprecated */
    greenSheen500: string;
    /** * @deprecated */
    mossGreen100: string;
    /** * @deprecated */
    mossGreen200: string;
    /** * @deprecated */
    mossGreen300: string;
    /** * @deprecated */
    mossGreen400: string;
    /** * @deprecated */
    mossGreen500: string;
    /** * @deprecated */
    tan100: string;
    /** * @deprecated */
    tan200: string;
    /** * @deprecated */
    tan300: string;
    /** * @deprecated */
    tan400: string;
    /** * @deprecated */
    tan500: string;
    /** * @deprecated */
    timberwolf100: string;
    /** * @deprecated */
    timberwolf200: string;
    /** * @deprecated */
    timberwolf300: string;
    /** * @deprecated */
    timberwolf400: string;
    /** * @deprecated */
    timberwolf500: string;
    /** * @deprecated */
    gainsboro100: string;
    /** * @deprecated */
    gainsboro200: string;
    /** * @deprecated */
    gainsboro300: string;
    /** * @deprecated */
    gainsboro400: string;
    /** * @deprecated */
    gainsboro500: string;
    /** * @deprecated */
    bubbleBlue100: string;
    /** * @deprecated */
    bubbleBlue200: string;
    /** * @deprecated */
    bubbleBlue300: string;
    /** * @deprecated */
    bubbleBlue400: string;
    /** * @deprecated */
    bubbleBlue500: string;
    /** * @deprecated */
    pastelBlue100: string;
    /** * @deprecated */
    pastelBlue200: string;
    /** * @deprecated */
    pastelBlue300: string;
    /** * @deprecated */
    pastelBlue400: string;
    /** * @deprecated */
    pastelBlue500: string;
    /** * @deprecated */
    lightBlue100: string;
    /** * @deprecated */
    lightBlue200: string;
    /** * @deprecated */
    lightBlue300: string;
    /** * @deprecated */
    lightBlue400: string;
    /** * @deprecated */
    lightBlue500: string;
    /** * @deprecated */
    sebastianRed100: string;
    /** * @deprecated */
    sebastianRed200: string;
    /** * @deprecated */
    flounderYellow100: string;
    /** * @deprecated */
    flounderYellow200: string;
    /** * @deprecated */
    seaturtleGreen100: string;
    /** * @deprecated */
    seaturtleGreen200: string;
    /** * @deprecated */
    copperRed100: string;
    /** * @deprecated */
    copperRed200: string;
    /** * @deprecated */
    lightRed: string;
    /** * @deprecated */
    tumbleweed: string;
    /** * @deprecated */
    tumbleweed100: string;
    /** * @deprecated */
    tuscan100: string;
    /** * @deprecated */
    tuscan200: string;
    /** * @deprecated */
    seaFoam100: string;
    /** * @deprecated */
    seaFoam: string;
    /** * @deprecated */
    oceanGreen100: string;
    /** * @deprecated */
    oceanGreen200: string;
    /** * @deprecated */
    good: string;
    /** * @deprecated */
    semigood: string;
    /** * @deprecated */
    fair: string;
    /** * @deprecated */
    semipoor: string;
    /** * @deprecated */
    poor: string;
    /** * @deprecated */
    transparentWhite: string;
    /** * @deprecated */
    transparentBlack: string;
    /** * @deprecated */
    transparentRed: string;
    /** * @deprecated */
    focusOutline: string;
    /** * @deprecated */
    success: string;
    /** * @deprecated */
    warning: string;
    /** * @deprecated */
    error: string;
    /** * @deprecated */
    notice: string;
    /** * @deprecated */
    pagebg: string;
    /** * @deprecated */
    border: string;
    name: string;
    colors: {
        /** * @deprecated */
        navPrimary: string;
        /** * @deprecated */
        navPrimary100: string;
        /** * @deprecated */
        navPrimary200: string;
        /** * @deprecated */
        navPrimary300: string;
        /** * @deprecated */
        navPrimary400: string;
        /** * @deprecated */
        navPrimary500: string;
        /** * @deprecated */
        navPrimary700: string;
        /** * @deprecated */
        navSecondary: string;
        /** * @deprecated */
        navSecondary100: string;
        /** * @deprecated */
        navSecondary300: string;
        /** * @deprecated */
        navSecondary400: string;
        /** * @deprecated */
        navSecondary500: string;
        /** * @deprecated */
        navSecondary600: string;
        /** * @deprecated */
        navNeutral: string;
        /** * @deprecated */
        navNeutralLight: string;
        /** * @deprecated */
        navNeutralDark: string;
        /** * @deprecated */
        navNeutral100: string;
        /** * @deprecated */
        navNeutral200: string;
        /** * @deprecated */
        navNeutral300: string;
        /** * @deprecated */
        navNeutral400: string;
        /** * @deprecated */
        navNeutral500: string;
        /** * @deprecated */
        navAccent: string;
        /** * @deprecated */
        navAccent100: string;
        /** * @deprecated */
        navAccent200: string;
        /** * @deprecated */
        navAccent300: string;
        /** * @deprecated */
        navAccent400: string;
        /** * @deprecated */
        navAccent500: string;
        /** * @deprecated */
        navAccent700: string;
        /** * @deprecated */
        navStatusPositive: string;
        /** * @deprecated */
        navStatusPositive100: string;
        /** * @deprecated */
        navStatusPositive200: string;
        /** * @deprecated */
        navStatusPositive300: string;
        /** * @deprecated */
        navStatusPositive400: string;
        /** * @deprecated */
        navStatusPositive500: string;
        /** * @deprecated */
        navStatusPositive700: string;
        /** * @deprecated */
        navStatusNegative: string;
        /** * @deprecated */
        navStatusNegative100: string;
        /** * @deprecated */
        navStatusNegative200: string;
        /** * @deprecated */
        navStatusNegative300: string;
        /** * @deprecated */
        navStatusNegative400: string;
        /** * @deprecated */
        navStatusNegative500: string;
        /** * @deprecated */
        navStatusNegative700: string;
        /** * @deprecated */
        azure: string;
        /** * @deprecated */
        oceanBoat: string;
        /** * @deprecated */
        belugaWhite: string;
        /** * @deprecated */
        white: string;
        /** * @deprecated */
        scuttleGray100: string;
        /** * @deprecated */
        scuttleGray200: string;
        /** * @deprecated */
        scuttleGray300: string;
        /** * @deprecated */
        scuttleGray400: string;
        /** * @deprecated */
        scuttleGray500: string;
        /** * @deprecated */
        scuttleGray600: string;
        /** * @deprecated */
        neutral100: string;
        /** * @deprecated */
        neutral200: string;
        /** * @deprecated */
        neutral300: string;
        /** * @deprecated */
        neutral400: string;
        /** * @deprecated */
        neutral500: string;
        /** * @deprecated */
        mermaidGreen100: string;
        /** * @deprecated */
        mermaidGreen200: string;
        /** * @deprecated */
        mermaidGreen300: string;
        /** * @deprecated */
        mermaidGreen400: string;
        /** * @deprecated */
        mermaidGreen500: string;
        /** * @deprecated */
        paleGold100: string;
        /** * @deprecated */
        paleGold200: string;
        /** * @deprecated */
        paleGold300: string;
        /** * @deprecated */
        paleGold400: string;
        /** * @deprecated */
        paleGold500: string;
        /** * @deprecated */
        rose100: string;
        /** * @deprecated */
        rose200: string;
        /** * @deprecated */
        rose300: string;
        /** * @deprecated */
        rose400: string;
        /** * @deprecated */
        rose500: string;
        /** * @deprecated */
        greenSheen100: string;
        /** * @deprecated */
        greenSheen200: string;
        /** * @deprecated */
        greenSheen300: string;
        /** * @deprecated */
        greenSheen400: string;
        /** * @deprecated */
        greenSheen500: string;
        /** * @deprecated */
        mossGreen100: string;
        /** * @deprecated */
        mossGreen200: string;
        /** * @deprecated */
        mossGreen300: string;
        /** * @deprecated */
        mossGreen400: string;
        /** * @deprecated */
        mossGreen500: string;
        /** * @deprecated */
        tan100: string;
        /** * @deprecated */
        tan200: string;
        /** * @deprecated */
        tan300: string;
        /** * @deprecated */
        tan400: string;
        /** * @deprecated */
        tan500: string;
        /** * @deprecated */
        timberwolf100: string;
        /** * @deprecated */
        timberwolf200: string;
        /** * @deprecated */
        timberwolf300: string;
        /** * @deprecated */
        timberwolf400: string;
        /** * @deprecated */
        timberwolf500: string;
        /** * @deprecated */
        gainsboro100: string;
        /** * @deprecated */
        gainsboro200: string;
        /** * @deprecated */
        gainsboro300: string;
        /** * @deprecated */
        gainsboro400: string;
        /** * @deprecated */
        gainsboro500: string;
        /** * @deprecated */
        bubbleBlue100: string;
        /** * @deprecated */
        bubbleBlue200: string;
        /** * @deprecated */
        bubbleBlue300: string;
        /** * @deprecated */
        bubbleBlue400: string;
        /** * @deprecated */
        bubbleBlue500: string;
        /** * @deprecated */
        pastelBlue100: string;
        /** * @deprecated */
        pastelBlue200: string;
        /** * @deprecated */
        pastelBlue300: string;
        /** * @deprecated */
        pastelBlue400: string;
        /** * @deprecated */
        pastelBlue500: string;
        /** * @deprecated */
        lightBlue100: string;
        /** * @deprecated */
        lightBlue200: string;
        /** * @deprecated */
        lightBlue300: string;
        /** * @deprecated */
        lightBlue400: string;
        /** * @deprecated */
        lightBlue500: string;
        /** * @deprecated */
        sebastianRed100: string;
        /** * @deprecated */
        sebastianRed200: string;
        /** * @deprecated */
        flounderYellow100: string;
        /** * @deprecated */
        flounderYellow200: string;
        /** * @deprecated */
        seaturtleGreen100: string;
        /** * @deprecated */
        seaturtleGreen200: string;
        /** * @deprecated */
        copperRed100: string;
        /** * @deprecated */
        copperRed200: string;
        /** * @deprecated */
        lightRed: string;
        /** * @deprecated */
        tumbleweed: string;
        /** * @deprecated */
        tumbleweed100: string;
        /** * @deprecated */
        tuscan100: string;
        /** * @deprecated */
        tuscan200: string;
        /** * @deprecated */
        seaFoam100: string;
        /** * @deprecated */
        seaFoam: string;
        /** * @deprecated */
        oceanGreen100: string;
        /** * @deprecated */
        oceanGreen200: string;
        /** * @deprecated */
        good: string;
        /** * @deprecated */
        semigood: string;
        /** * @deprecated */
        fair: string;
        /** * @deprecated */
        semipoor: string;
        /** * @deprecated */
        poor: string;
        /** * @deprecated */
        transparentWhite: string;
        /** * @deprecated */
        transparentBlack: string;
        /** * @deprecated */
        transparentRed: string;
        /** * @deprecated */
        focusOutline: string;
        /** * @deprecated */
        success: string;
        /** * @deprecated */
        warning: string;
        /** * @deprecated */
        error: string;
        /** * @deprecated */
        notice: string;
        /** * @deprecated */
        pagebg: string;
        /** * @deprecated */
        border: string;
    };
};
type Color = (typeof colors)[keyof typeof colors];
export type ThemeColors = {
    error: Color;
    onError: Color;
    errorContainer: Color;
    onErrorContainer: Color;
    errorBright: Color;
    warn: Color;
    onWarn: Color;
    warnContainer: Color;
    onWarnContainer: Color;
    warnBright: Color;
    success: Color;
    onSuccess: Color;
    successContainer: Color;
    onSuccessContainer: Color;
    successBright: Color;
    super: Color;
    onSuper: Color;
    superContainer: Color;
    onSuperContainer: Color;
    superBright: Color;
    info: Color;
    onInfo: Color;
    infoContainer: Color;
    onInfoContainer: Color;
    infoBright: Color;
    primary: Color;
    onPrimary: Color;
    primaryContainer: Color;
    onPrimaryContainer: Color;
    inversePrimary: Color;
    primaryDim: Color;
    primaryBright: Color;
    prime: Color;
    primeDim: Color;
    onPrime: Color;
    primeContainer: Color;
    onPrimeContainer: Color;
    background: Color;
    surface: Color;
    surfaceDim: Color;
    surfaceBright: Color;
    surfaceContainer: Color;
    surfaceContainerLow: Color;
    surfaceContainerLowest: Color;
    surfaceContainerHigh: Color;
    surfaceContainerHighest: Color;
    onSurface: Color;
    onSurfaceVariant: Color;
    onSurfaceDim: Color;
    outline: Color;
    outlineVariant: Color;
    inverseSurface: Color;
    inverseOnSurface: Color;
};
type BaseThemeProperties = typeof baseTheme;
type CombinedTheme = Omit<BaseThemeProperties, 'colors'> & {
    colors: BaseThemeProperties['colors'] & ThemeColors;
} & ThemeColors;
export type Theme = CombinedTheme;
export type ThemeColor = keyof ThemeColors | keyof typeof deprecatedThemeColors;
export type StatusColor = keyof typeof deprecatedStatusColors;
export {};
