import { ReactNode } from 'react';
import { BannerToast } from './banner-toast.js';
import { InferComponentProps } from './types.js';
interface Message extends InferComponentProps<typeof BannerToast> {
    id?: string;
    isDismissible?: boolean;
}
/** @deprecated use the wayfinder toast from @navinc/base-react-components/wayfinder instead */
export declare const ToastProvider: ({ children }: {
    children: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
/** @deprecated use the wayfinder toast from @navinc/base-react-components/wayfinder instead */
export declare const useToast: () => {
    showMessage: (_msg: Message) => void;
    clearMessage: (_id?: string) => void;
    getMessages: () => Message[];
};
/** @deprecated use the wayfinder toast from @navinc/base-react-components/wayfinder instead */
export declare const Toast: ({ className }: {
    className?: string;
}) => import("react/jsx-runtime").JSX.Element;
export {};
