// Necessary in React 18 to programmatically trigger `onChange` handlers.  See https://stackoverflow.com/a/78712814/1393547
const fakeValue = '!!--fake-value--!!';
export const triggerChangeEvent = (input) => {
    const tracker = input._valueTracker;
    if (tracker) {
        // This ensures the "previous" value is different from the current value, allow the change to be triggered properly by React
        tracker.setValue(fakeValue);
    }
    const event = new Event('change', { bubbles: true });
    input.dispatchEvent(event);
};
//# sourceMappingURL=trigger-change.js.map