import type { ComponentProps, JSXElementConstructor } from 'react';
import { JSX } from 'react';
export type InferComponentProps<T extends keyof JSX.IntrinsicElements | JSXElementConstructor<any>> = Omit<ComponentProps<T>, 'ref'>;
export { Theme, ThemeColor, StatusColor } from './themes/base-theme.js';
export type DataAttributes = {
    [key: `data-${string}`]: any;
};
