import { NoStyleButton } from '../../no-style-button.js';
import { InferComponentProps } from '../../types.js';
export type ChipProps = InferComponentProps<typeof NoStyleButton> & {
    selected?: boolean;
    /** @deprecated */
    size?: 'small' | 'large';
};
export declare const ChipIcon: import("react").ComponentType<import("styled-components").FastOmit<import("react").ClassAttributes<HTMLSpanElement> & import("react").HTMLAttributes<HTMLSpanElement> & {
    name: string;
    className?: string;
    isFilled?: boolean;
    size?: import("../icon/icon.js").SizeMapType;
}, never>>;
/** Wayfinder chip */
export declare const Chip: import("react").ForwardRefExoticComponent<InferComponentProps<import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").ButtonHTMLAttributes<HTMLButtonElement> & import("react").RefAttributes<HTMLButtonElement>, never>> & string & Omit<import("react").ForwardRefExoticComponent<import("react").ButtonHTMLAttributes<HTMLButtonElement> & import("react").RefAttributes<HTMLButtonElement>>, keyof import("react").Component<any, {}, any>>> & {
    selected?: boolean;
    /** @deprecated */
    size?: "small" | "large";
} & import("react").RefAttributes<HTMLButtonElement>>;
