import { styled } from 'styled-components';
import { StandardCard } from '../standard-card.js';
export const StyledStandardCard = styled(StandardCard).withConfig({ displayName: "brc-sc-StyledStandardCard", componentId: "brc-sc-13mrpqk" }) `
  background-color: ${({ theme }) => theme.surface};
  color: ${({ theme }) => theme.onSurface};
`;
export const StyledTable = styled.table.withConfig({ displayName: "brc-sc-StyledTable", componentId: "brc-sc-1gyhs83" }) `
  width: 100%;
  border-collapse: collapse;

  tr {
    border-bottom: 1px solid black;
    text-align: ${({ $isRight }) => ($isRight ? 'right' : 'left')};
  }

  td {
    padding: 8px;
  }
`;
//# sourceMappingURL=common-story-styles.js.map