import { Property } from 'csstype';
import { CSSProperties, ReactNode } from 'react';
import { InferComponentProps } from '../../types.js';
import { DialogContent, DialogInternal, DialogRoot, DialogTrigger } from './dialog.js';
declare const StandardDialogLayout: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
declare const BottomContainer: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {
    $width?: Property.Width;
}>> & string;
export declare const StandardDialogFooter: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
export declare const StandardDialogBody: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
export declare const StandardDialogBodyPadding: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
export declare const StandardDialogCloseIconButton: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<InferComponentProps<import("react").ForwardRefExoticComponent<import("@radix-ui/react-dialog").DialogCloseProps & import("react").RefAttributes<HTMLButtonElement>>>, never>> & string & Omit<(props: InferComponentProps<typeof DialogInternal.Close>) => import("react/jsx-runtime").JSX.Element, keyof import("react").Component<any, {}, any>>;
export declare const StandardDialogContainer: ({ children, width, contentOverlayStyle, ...props }: Omit<InferComponentProps<typeof BottomContainer>, "$width"> & {
    width?: InferComponentProps<typeof BottomContainer>["$width"];
    contentOverlayStyle?: CSSProperties;
}) => import("react/jsx-runtime").JSX.Element;
export declare const StandardDialogContent: ({ title, noCloseIcon, children, ...props }: Omit<InferComponentProps<typeof StandardDialogLayout>, "title"> & {
    title?: ReactNode;
    noCloseIcon?: boolean;
    children?: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
export declare const StandardDialog: ({ open, defaultOpen, onOpenChange, modal, trigger, title, noCloseIcon, children, overlayStyle, onInteractOutside, ...props }: InferComponentProps<typeof DialogRoot> & InferComponentProps<typeof DialogContent> & InferComponentProps<typeof StandardDialogContent> & {
    trigger?: InferComponentProps<typeof DialogTrigger>["children"];
    width?: InferComponentProps<typeof StandardDialogContainer>["width"];
    overlayStyle?: CSSProperties;
    contentOverlayStyle?: CSSProperties;
}) => import("react/jsx-runtime").JSX.Element;
export {};
