/**
 * Work-around file to enforce exports meet typing requirements.  See
 * https://github.com/microsoft/TypeScript/issues/38511
 **/
import * as flexColumnModule from './flex-column.js';
import * as flexRowModule from './flex-row.js';
// if this fails, it means the flex column module is not exporting all the flex column spacing variations listed in
// src/themes/spacing.ts.  Please add the missing FlexColumn variations
const _flexColumnTypeCheck = flexColumnModule;
// if this fails, it means the flex row module is not exporting all the flex row spacing variations listed in
// src/themes/spacing.ts.  Please add the missing FlexRow variations
const _flexRowTypeCheck = flexRowModule;
//# sourceMappingURL=type-check.js.map