import { ReactNode, HTMLAttributes, ElementType, JSX } from 'react';
interface SlotProps extends Omit<HTMLAttributes<HTMLElement>, 'children'> {
    asChild?: boolean;
    child: ReactNode;
    children: (child: ReactNode) => JSX.Element;
    defaultComponent: ElementType;
}
declare const Slot: import("react").ForwardRefExoticComponent<SlotProps & import("react").RefAttributes<HTMLElement>>;
export { Slot };
export type { SlotProps };
